{
    "name": "gymflow-server",
    "version": "1.0.0",
    "description": "Backend for GymFlow AI",
    "main": "src/index.ts",
    "scripts": {
        "start": "node dist/index.js",
        "start:prod": "node dist/index.js",
        "start:dev": "cross-env APP_MODE=dev PORT=3200 ts-node-dev -r dotenv/config --respawn --transpile-only src/index.ts",
        "start:test": "cross-env APP_MODE=test PORT=3201 ts-node-dev -r dotenv/config --respawn --transpile-only src/index.ts",
        "dev": "npm run start:dev",
        "build": "tsc",
        "migrate:deploy": "npx prisma migrate deploy"
    },
    "dependencies": {
        "@google/generative-ai": "^0.24.1",
        "@prisma/adapter-better-sqlite3": "^7.2.0",
        "@prisma/client": "^7.2.0",
        "@types/better-sqlite3": "^7.6.13",
        "bcryptjs": "3.0.3",
        "better-sqlite3": "^11.0.0",
        "cors": "2.8.5",
        "dotenv": "17.2.3",
        "express": "5.1.0",
        "jsonwebtoken": "9.0.2",
        "winston": "^3.19.0",
        "zod": "^4.1.13"
    },
    "devDependencies": {
        "ts-node-dev": "^2.0.0",
        "@types/bcryptjs": "*",
        "@types/cors": "*",
        "@types/express": "*",
        "@types/jsonwebtoken": "*",
        "@types/node": "*",
        "cross-env": "^10.1.0",
        "dotenv-cli": "^11.0.0",
        "nodemon": "*",
        "prisma": "^7.2.0",
        "ts-node": "*",
        "typescript": "*"
    }
}